# ves

[![NPM version][npm-image]][npm-url]
[![build status][travis-image]][travis-url]
[![Test coverage][codecov-image]][codecov-url]
[![David deps][david-image]][david-url]
[![Known Vulnerabilities][snyk-image]][snyk-url]
[![npm download][download-image]][download-url]

[npm-image]: https://img.shields.io/npm/v/ves.svg?style=flat-square
[npm-url]: https://npmjs.org/package/ves
[travis-image]: https://img.shields.io/travis/easy-team/ves.svg?style=flat-square
[travis-url]: https://travis-ci.org/easy-team/ves
[codecov-image]: https://img.shields.io/codecov/c/github/easy-team/ves.svg?style=flat-square
[codecov-url]: https://codecov.io/github/easy-team/ves?branch=master
[david-image]: https://img.shields.io/david/easy-team/ves.svg?style=flat-square
[david-url]: https://david-dm.org/easy-team/ves
[snyk-image]: https://snyk.io/test/npm/ves/badge.svg?style=flat-square
[snyk-url]: https://snyk.io/test/npm/ves
[download-image]: https://img.shields.io/npm/dm/ves.svg?style=flat-square
[download-url]: https://npmjs.org/package/ves


A Powerful, Simple Vue Node Isomorphic Framework, Front-End and Node of The Application are Written in TypeScript! Everything is Simple!

> You don't need to care about Vue server-side rendering implementation details and the Webpack + Babel + TypeScript build process. You just need to write Vue isomorphic applications just like you would write a Vue front-end application.

## Installation

```bash
$ npm install ves --save
```

Node.js >= 8.0.0 required.

## Features

- ✔︎ Based on [Egg](https://eggjs.org/en/intro/index.html) Framework, Powerful, Easy to Expand
- ✔︎ Support Vue Server Side Render and Client Side Render Modes, Rendering Cache, Automatic Downgrade, 
- ✔︎ Front-End and Node of The Application are Written in TypeScript
- ✔︎ Build with Webpack + TypeScript, Auto Building, Hot Reload, Code Splitting, High Speed, Performance Optimization
- ✔︎ Powerful Tool Chain [ves-cli](https://github.com/easy-team/ves-cli)

## Document

- https://www.yuque.com/easy-team/ves

## QuickStart

```bash
$ npm install -g ves-cli
$ ves init
$ npm install
$ npm run dev
$ open http://localhost:7001
```

## Examples

See [ves-amdin](https://github.com/easy-team/ves-admin)

## Links

- https://eggjs.org/en/advanced/framework.html
- https://www.yuque.com/easy-team/ves

## License

[MIT](LICENSE)
